__author__ = 'Agostino Ruscito'
__version__ = "1.0.7"
__date__ = "08 03 2015"
import logging
import time

timestamp = time.strftime("%Y%m%d-%H%M%S")

logging.basicConfig(
    filename="pycomm-" + timestamp + ".log",
    filemode='w',
    level=logging.INFO,
    format="%(name)-20s %(levelname)-10s %(asctime)-25s %(message)s",
    datefmt="%d/%m/%Y %I:%M:%S %p"
    # propagate=0,
)

LOGGER = logging.getLogger('pycomm')


class PycommError(Exception):
    pass


def setup_logger(name, level, filename=None):
    log = logging.getLogger('pycomm.'+name)
    log.setLevel(level)
    if filename:
        fh = logging.FileHandler(filename, mode='w')
        fh.setFormatter(logging.Formatter("%(name)-20s %(levelname)-10s %(asctime)-25s %(message)s", datefmt="%d/%m/%Y %I:%M:%S %p"))
        log.addHandler(fh)
        log.propagate = False

    return log

